org.eclipse.jgit.transport

## Interface UploadPackLogger

All Known Implementing Classes:
  UploadPackLoggerChain

    public interface UploadPackLogger

Logs activity that occurred within `UploadPack`.

Implementors of the interface are responsible for associating the current thread to a particular connection, if they need to also include connection information. One method is to use a `ThreadLocal` to remember the connection information before invoking UploadPack.

### Field Summary

Fields
`static UploadPackLogger` `NULL` A simple no-op logger.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onPackStatistics(PackWriter.Statistics stats)` Notice to the logger after a pack has been sent.

### Field Detail

#### NULL

    static final UploadPackLogger NULL

A simple no-op logger.

### Method Detail

#### onPackStatistics

    void onPackStatistics(PackWriter.Statistics stats)

Notice to the logger after a pack has been sent.

Parameters:
  `stats` - the statistics after sending a pack to the client.
Since:
  3.0